Subject: Re: [PATCH] pcmcia: m8xx: remove checks for four macros

From: Paul Bolle <[email-masked]>
Date: Thu, 29 May 2014 20:39:04 +0200

On Thu, 2014-05-29 at 13:20 -0500, Scott Wood wrote:
> On Sat, 2014-05-24 at 09:36 +0200, Paul Bolle wrote:
> > This driver contains checks for four Kconfig macros. But the related
> > Kconfig symbols have never been part of the tree. Remove these checks
> > and the code they hide.
> > 
> > Signed-off-by: Paul Bolle <[email-masked]>
> > ---
> > Untested.
> > 
> > This has been an issue ever since this driver was added in v2.6.15. Note
> > that there is no header named "*/cpld.h", so setting PRxK can't possibly
> > work.
> > 
> >  drivers/pcmcia/m8xx_pcmcia.c | 75 --------------------------------------------
> >  1 file changed, 75 deletions(-)
> 
> Does anything in this driver still work?  It looks like bitrot from the
> arch/ppc days, that sort of got updated to use the device tree -- but
> even after this patch there are lots of instances of CONFIG symbols
> being used to assert the exact hardware being used, rather than what
> hardware is supported.

I'm not sure I get what you're pointing at. Can you give one example?

> Is anyone actively maintaining/testing this code?

Related observation: doing
    scripts/get_maintainer.pl -f drivers/pcmcia/m8xx_pcmcia.c --no-git-fallback --no-keywords

just gave me
    [email-masked] (open list:PCMCIA SUBSYSTEM)
    [email-masked] (open list)

Note that there's no person responsible for PCMCIA. That's why I
included the people (and lists) maintaining PPC8XX and PPC.

Paul Bolle